aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-04-17 21:13:33 +0000
committerWilliam Harrington <kb0iic@berzerkula.org>2021-04-17 21:13:33 +0000
commit2045e6f3b89386d9104a53f0219290e7ba2423e5 (patch)
tree8c135b37173cb15aa46b8b8218b7265987be61e2
parentc9cb04e59113a3afb1cc9fde17dc8bb27a0a315c (diff)
/mnt should be owned by root. Use sudo to create LFS target directory.
-rwxr-xr-xlfs.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/lfs.sh b/lfs.sh
index 1331c7a..7002255 100755
--- a/lfs.sh
+++ b/lfs.sh
@@ -52,7 +52,7 @@ printf "%b" "${GRN}Creating LFS directory at ${YLW}${LFS}${GRN}${RST}... "
if [[ -d "${LFS}" ]]; then
success "EXISTS"
else
- if ! mkdir "${LFS}" >/dev/null 2>&1; then
+ if ! sudo mkdir "${LFS}" >/dev/null 2>&1; then
fail "FAILED!"
exit 1
fi